jQuery(function (jQuery) {  

  jQuery(document).ready(function () {      
  });

  /*EVENTO AL ABRIR EL MODAL*/
  jQuery("body").on("click", ".nobody_order", function (e) {
    e.preventDefault();
    let actualMetod = -1;
    if (JSON.parse(sessionStorage.getItem("aplication")) > -1) {
      actualMetod = JSON.parse(sessionStorage.getItem("aplication"));
    }    
    if (actualMetod > -1) {
      activeModal(actualMetod);      
    } else {
      alert("Seleccione una aplicación ");
    }
  });


  /*EVENTO AL CERRAR EL MODAL*/
  jQuery("body").on("click", '.modal-button-pagomovil__exit', function () {  
    let actualMetod = -1; 
    if (JSON.parse(sessionStorage.getItem("aplication")) > -1) {
      actualMetod = JSON.parse(sessionStorage.getItem("aplication"));
    }     
    closeAll(actualMetod);    
  });
  /*EVENTO SIGUIENTE MODAL*/
  jQuery("body").on("click", '.modal-nb__btn-next', function () { 
    let actualMetod = -1;   
    if (JSON.parse(sessionStorage.getItem("aplication")) > -1) {
      actualMetod = JSON.parse(sessionStorage.getItem("aplication"));
    }    
    continueNexModal(actualMetod);
  });
  /*EVENTO VOLVER MODAL*/
  jQuery("body").on("click", '.modal-nb__btn-back', function () { 
    let actualMetod = -1;   
    if (JSON.parse(sessionStorage.getItem("aplication")) > -1) {
      actualMetod = JSON.parse(sessionStorage.getItem("aplication"));
    }    
    returnPrevModal(actualMetod);
  });
  /*EVENTO TERMINAR COMPRA*/
  jQuery("body").on("click", '.modal-nb__btn-next--checkout', function () { 
    let actualMetod = -1;   
    if (JSON.parse(sessionStorage.getItem("aplication")) > -1) {
      actualMetod = JSON.parse(sessionStorage.getItem("aplication"));
    }    
    closeAll(actualMetod);
  });
  
  
});

/*Metodos para el modal abrir y cerar */

closeAll = (indexDeAplicacion) => {
  returnPrevModal(indexDeAplicacion);
  closeModal(indexDeAplicacion);
}

returnPrevModal = (indexDeAplicacion) =>{
  closeModal('Final'+indexDeAplicacion);
  activeModal(indexDeAplicacion);
}

continueNexModal = (indexDeAplicacion) =>{
  closeModal(indexDeAplicacion);
  activeModal('Final'+indexDeAplicacion);
}

activeModal = (indexDeAplicacion) =>{
  let overlay = document.getElementById('overlayModalPayment'+indexDeAplicacion);
  overlay.style.display = "flex";
}

closeModal = (indexDeAplicacion) =>{
  let overlay = document.getElementById('overlayModalPayment'+indexDeAplicacion);
  overlay.style.display = "none";
}

